import max30102
import hrcalc,time
import pyb

state = False

def f():
    global state
    pyb.delay(10)          
    if sw():
        state = not state

sw = pyb.Switch() # USR Button
sw.callback(f)
 
def heart():

    m = max30102.MAX30102(pin='Y4')

    state = True

    while True:
        if state:
            
            print("Wait")
            
            red, ir = m.read_sequential(1000)
            
            ir_avg = []
            red_avg = []
            for i in range(37):
                d = hrcalc.calc_hr_and_spo2(ir[25*i:25*i+100], red[25*i:25*i+100])                
                if d[1]:
                    ir_avg.append(d[0])
                if d[3]:
                    red_avg.append(d[2])
            ir_D = (sum(ir_avg) - max(ir_avg) - min(ir_avg)) // len(ir_avg)
            red_D = (sum(red_avg) - max(red_avg) - min(red_avg)) // len(red_avg)
            print('ir:',ir_D)
            print('red:',red_D)
                        
            print(str(int(ir_D)))
            print(str(int(red_D)))
            
            state = False
            m.shutdown()
            break